## org.apache.tools.ant.types
Class Path.PathElement

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Path.PathElement

Enclosing class:
  Path

public class Path.PathElement
extends java.lang.Object

Helper class, holds the nested `<pathelement>` values.

Constructor Summary
`Path.PathElement()`

Method Summary
`java.lang.String[]` `getParts()`
`void` `setLocation(java.io.File loc)`
`void` `setPath(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Path.PathElement

    public Path.PathElement()

Method Detail

### setLocation

    public void setLocation(java.io.File loc)

### setPath

    public void setPath(java.lang.String path)

### getParts

    public java.lang.String[] getParts()

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.